/* Clear floats solution: http://www.positioniseverything.net/easyclearing.html */
.clearfix:after {
  content: ".";
  display: block;
  height: 0;
  clear: both;
  visibility: hidden;
}
.clearfix {
  display: inline-block;
}

/* Hides from IE-mac \*/
* html .clearfix {
  height: 1%;
}
.clearfix {
  display: block;
}
/* End hide from IE-mac */

/*
html.ui-mobile {
  background: #DDD;
}
*/

body {
  position: relative;
}

p {
  margin: 0 0 0.5em;
}

ul {
  padding: 0 0 0 12px;
}

td, th {
  padding: 0.3em 0.5em;
  vertical-align: top;
}

#mdetect .region-content {
  margin: 0 0 20px;
}

.node-type-slideshow .region-content {
  padding: 0;
}

.region-header .messages {
  clear: both;
  padding: 0.7em 1em;
  margin: 10px;
  -moz-border-radius: 0.3em;
  -webkit-border-radius: 0.3em;
  border: 1px solid #FFF;
  background: -moz-linear-gradient(center top, #DEDEDE, #FAFAFA);
  background: -webkit-gradient(linear, 0 0, 0 bottom, from(#DEDEDE), to(#FAFAFA));
  font-size: 0.85em;
}

/*
.region-content-area {
  margin-bottom: 1em;
}
*/
.ui-dialog .region-content-area {
  margin-bottom: 1px;
}
.front .region-content-area,
.page-content-mission-statement .region-content-area {
  margin-bottom: 0;
}

.region-header {
  padding-bottom: 0;
  border: 0;
  z-index: 1;

  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
  -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
  -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
}

.cu-name {
  height: 62px;
  margin: 0;
  display: block;
  text-indent: -2000px;
  overflow: hidden;
  background: #112D61;
  background: -moz-linear-gradient(center top , #164785, #112D61);
  background: -webkit-gradient(linear, 0 0, 0 bottom, from(#164785), to(#112D61));

  box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
  -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
  -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.8);
}
/*
.min-width-768px .cu-name {
  height: 89px;
}
*/

.cu-name span {
  display: block;
  height: 100%;
  width: 100%;
  background: url("images/logo-287.png") no-repeat center 5px;
}

/*
.min-width-768px .cu-name span {
  display: block;
  height: 100%;
  width: 100%;
  background: url("images/logo-430.png") no-repeat center 5px;
}
*/

#cu-homelink {
  width: 47px;
  height: 34px;
  position: absolute;
  top: 0;
  left: 0;
  margin-right: 3px;
}
#cu-homelink a {
  background: url("images/cu-homelink.gif") no-repeat;
  width: 100%;
  height: 100%;
  display: block;
  text-indent: -2000px;
  border-left: 3px solid #134076;
}
#cu-homelink a:active,
#cu-homelink a:hover {
  opacity: 0.9;

  outline: none;
}

@media all and (-webkit-min-device-pixel-ratio: 2) {
  .cu-name span {
    background-image: url("images/logo-430.png");
    background-size: 287px auto;
  }
  #cu-homelink a {
    background-image: url("images/cu-homelink-2x.gif");
    background-size: 47px 34px;
  }
}

#cu-search {
  padding: 0 10px;
}
#searchfield {
  padding: 0;
  margin: 0.5em 0;
  border: 0;
}
#searchfield .ui-input-search {
  margin: 0 auto;
  display: block;
  padding: 0 0 0 30px;
}

/*
#searchfield {
  padding: 0 10px 5px;
  border: 0;
  margin: 0 auto;
  width: 300px;
}
.min-width-480px #searchfield {
  width: 460px;
}
.min-width-768px #searchfield {
  width: 600px;
}

#navigation-link {
  float: left;
  margin-right: 3px;
}
#navigation-link .ui-btn-inner {
  padding-right: 0px !important;
}
.min-width-480px #navigation-link .ui-btn-inner {
  padding-right: 8px !important;
}

#searchfield .ui-input-search {
  float: right;
  margin-right: 3px;
  width: 52%;
  height: 30px;
}
#searchfield .ui-btn {
  height: 30px;
}
#searchfield .ui-btn-icon-right {
  float: right;
}
#searchfield .ui-icon {
  top: 14px;
}
#searchfield .ui-input-search .ui-input-clear {
  height: 20px;
}

#searchfield .ui-shadow-inset {
  -moz-box-shadow: none;
  -webkit-box-shadow: 0 2px 4px rgba(0, 0, 0, 0.5) inset;
}

#searchfield .ui-btn .ui-btn-text,
.front .region-header .ui-btn-left .ui-btn-text {
  text-indent: -2000px;
  display: block;
  line-height: 20px;
}
.min-width-480px #searchfield .ui-btn .ui-btn-text,
.min-width-480px .front .region-header .ui-btn-left .ui-btn-text {
  text-indent: 0;
  display: inline;
}
#searchfield .ui-btn .ui-btn-inner {
  padding-right: 18px;
}
.front .region-header .ui-btn-left .ui-btn-inner {
  padding-right: 0;
}
.min-width-480px #searchfield .ui-btn .ui-btn-inner {
  padding-right: 27px;
}
.min-width-480px .front .region-header .ui-btn-left .ui-btn-inner {
  padding-right: 8px;
}

#cu-search-box {
  width: 100%;
}
*/
/*
.ui-dialog .region-footer {
  margin-top: 0;
}
*/

.region-footer {
  margin-top: 1px;
}

#copyright {
  font-size: 0.6em;
  padding: 0.5em;
  text-align: center;
}
.node-type-slideshow #fullversion-link,
.node-type-directory #fullversion-link {
  border-top: 1px solid #B3B3B3;
}
#fullversion-link {
  text-align: center;
  font-size: 0.7em;
  padding: 0.5em 0 0;
  font-weight: bold;
}

/*
.region-footer .anchors {
  display: table;
  margin: 0 auto;
}
*/

.anchors .ui-btn {
  display: block;
  float: left;
  margin: 1px;
}

/*
.region-content-bottom {
  padding: 5px 5px 1px;
  margin: 5px -15px 0;
  background: -moz-linear-gradient(center top, #FAFAFA, #E9EAEB);
  background: -webkit-gradient(linear, 0 0, 0 bottom, from(#FAFAFA), to(#E9EAEB));
  -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
}
.node-type-directory .region-content-bottom {
  padding: 0;
  margin: 0;
}
*/


div.node .left-side-block .featured-container-image img {
  width: 89px;
  height: 62.5px;
}

.featured-b .featured-container .content {
  display: none;
}

.front div.node-type-photo-gallery {
  margin: 0 -15px;
}

div.node-type-photo-gallery .ui-title {
  margin: 0.6em 40px;
}

div.node-type-photo-gallery .ui-grid-b {
  padding: 5px 0;
}
div.node-type-photo-gallery img {
  display: block;
  margin: 5px auto;
}

div.node-type-photo-gallery .description {
  margin: 0.5em;
}

.node-type-photo-gallery div.node-type-photo-gallery img {
  width: 100%;
  height: auto;
  display: block;
  margin: auto;
  -moz-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3);
}

div.node-type-slideshow img {
  display: block;
  width: 100%;
}
div.node-type-slideshow .caption {
  margin: 15px;
}

/*
.ui-dialog .region-content,
.node-type-photo-gallery .region-content {
  margin: 0;
  padding: 10px 0;
  overflow: hidden;
}
.min-width-768px .node-type-photo-gallery .region-content {
  padding: 0;
}
.min-width-768px .ui-dialog .node-type-photo-gallery .region-content {
  margin: 0 15px 15px;
  padding: 15px;
}
*/

/*
.ui-dialog .region-header,
.node-type-photo-gallery .region-header {
  -moz-border-radius: 0.5em 0.5em 0 0;
  -webkit-border-radius: 0.5em 0.5em 0 0;
  -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.3);
  margin: 0;
  padding-bottom: 0;
}
.min-width-768px .ui-dialog .region-header {
  margin: 15px 15px 0;
}
*/

div.node-type-photo-gallery .img-container img {
  -moz-box-shadow: 0 1px 7px rgba(17, 46, 98, 0.7);
  -webkit-box-shadow: 0 1px 7px rgba(17, 46, 98, 0.7);
}

div.node-type-photo-gallery .description a {
  color: #2489CE !important;
}
div.node-type-photo-gallery .description span {
  letter-spacing: normal !important;
}

#events-range {
  display: table;
  font-size: 0.9em;
  margin: -10px auto 15px;
}
#events-range .ui-btn-inner {
  padding: 0.6em 12px;
}

.view-events2 .event-type {
  display: none;
}
.view-events2 .event-short-description {
  font-size: 12px;
  font-weight: normal;
}
.view-events2 .event-short-description p {
  margin: 0;
}
.view-events2 .event-short-description * {
  font-weight: normal;
  font-style: italic;
}

/*
.ui-header .ui-btn-left {
  z-index: 1;
}

.ui-header .ui-title,
.ui-footer .ui-title,
.ui-li .ui-btn-text,
.ui-li-desc,
.ui-li .ui-btn-text a.ui-link-inherit {
  white-space: normal;
}


.ui-listview-filter {
  border-top: 1px solid #B3B3B3;
  margin: -5px -15px 0;
}

.ui-content .ui-listview-inset {
  margin: 0 0 0.5em;
}

.ui-collapsible-content {
  padding: 10px 8px;
}

.ui-collapsible-content p {
  margin-top: 0;
}

.ui-collapsible-heading {
border-bottom: none;
background: none;
}

.ui-li-heading {
  font-size: inherit;
  margin: 0.3em 0 0.5em;
}

.ui-controlgroup {
  margin-bottom: 0.5em;
}

.ui-btn-inner {
  padding: 0.5em 10px;
}
*/

/*
#navigation.ui-collapsible-set .title  {
 padding: 0;
 border: 0;
}

.region-content-bottom a.ui-btn-up-b,
.region-content-bottom a.ui-btn-hover-b,
.region-content-bottom .ui-btn-up-a a.ui-link-inherit,
.region-content-bottom .ui-btn-hover-a a.ui-link-inherit {
  color: #FFF;
}

.ui-btn-down-a a.ui-link-inherit,
.ui-btn-down-b a.ui-link-inherit,
.ui-btn-down-c a.ui-link-inherit,
.ui-btn-down-d a.ui-link-inherit {
  color: #000;
  border: 0;
  background: none;
  text-decoration: underline !important;
}
*/

/* JQuery Mobile changes */
.ui-page {
  display: block;
  font-size: 0.93em;
}
.ui-mobile .ui-dialog {
  padding-bottom: 15px;
}
.ui-dialog .ui-header {
  margin-top: 15px;
}
.ui-dialog .region-content {
  overflow: hidden;
  margin-top: 0;
  padding-top: 0;
}
.ui-dialog .content-primary {
  margin: 0 -15px;
}
.ui-content {
  overflow: hidden;
}
#navigation .ui-content .ui-listview {
  margin-top: 0;
  margin-bottom: 0;
}
.ui-content .ui-listview-inset {
  margin: 1em 0;
}

.ui-header .ui-title,
.ui-footer .ui-title,
.ui-li .ui-btn-text,
.ui-li-desc,
.ui-li .ui-btn-text a.ui-link-inherit,
.ui-btn-inner,
.ui-li-heading {
  white-space: normal; /* More accessible text */
}
.view-events2 .ui-li-heading,
.view-events2 .ui-li .ui-btn-text,
.view-events2 .ui-li .ui-btn-text a.ui-link-inherit { /* Unset for events section to shorten height */
  white-space: nowrap;
}
.view-events2 .ui-li-heading {
  clear: both;
  font-size: 14px;
}
.ui-header h1.title {
  margin: 0 90px;
  padding: 2px 0;
  line-height: 30px;
}
.ui-header h1.with-breadcrumb { /* More header title space */
  margin: 0 0 0 47px;
  padding: 2px 0;
  text-align: left;
  overflow: visible;
  line-height: normal;
}
.ui-collapsible[data-collapsed=false] .ui-collapsible-heading a.ui-corner-bottom { /* Temp. fix for collapsible non-collapsed problem */
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
}
.ui-collapsible-collapsed[data-collapsed=false] .ui-collapsible-heading a.ui-corner-bottom {
  border-bottom-left-radius: 0.6em;
  border-bottom-right-radius: 0.6em;
}
.ui-collapsible-heading,
.ui-collapsible-content {
  margin: 0;
}

/* Tablet and desktop styles */
@media only screen and (min-width: 1024px) {
/*
  .region-content {
    -webkit-column-width: 30em;
    -webkit-column-gap: 2.1em;
    -webkit-column-count: 3;
    -moz-column-width: 30em;
    -moz-column-gap: 2.1em;
    -moz-column-count: 3;
    column-width: 30em;
    column-gap: 2.1em;
    column-count: 3;
  
  	-webkit-column-rule-color: #CCC;
  	-webkit-column-rule-style: solid;
  	-webkit-column-rule-width: 1px;
  	-moz-column-rule-color: #CCC;
  	-moz-column-rule-style: solid;
  	-moz-column-rule-width: 1px;
  	column-rule-color: #CCC;
  	column-rule-style: solid;
  	column-rule-width: 1px;
  	
    -webkit-column-fill:auto;
    -moz-column-fill:auto;
    column-fill:auto;
  }
  .node-type-directory .region-content {
  	-webkit-column-rule-style: dashed;
  	-moz-column-rule-style: dashed;
  	column-rule-style: dashed;
  }
  .node-type-directory .ui-listview-filter {
    -webkit-column-span: all;
    -moz-column-span: all;
    column-span: all;
  }
  .ui-btn-inner {
    overflow: visible;
  }
  .ui-listview,
  .ui-collapsible {
    -webkit-column-break-before: always;
    -moz-column-break-before: always;
    column-break-before: always;

  }
  .node-type-directory .ui-listview {
    overflow: inherit;
  }
*/
  .multicol .ui-content {
    padding: 15px 0;
  }

  .multicol .content-primary {
    float: left;
    width: 50%;
  }
  .front .content-primary {
    width: 47%;
    padding: 15px 1.5%;
  }
  .front a.nav-link {
    margin: 0 15px 0.5em;
  }

  .multicol .region-content-area {
    padding: 0 15px;
  }

  .multicol .content-secondary {
    float: right;
    width: 50%;
    border-left: 1px solid #CCC;
    margin-left: -1px;
  }
  .multicol .region-content-bottom {
    padding: 0 3%;
  }

}


/* Misc. changes */
.region-content-area ul.featured-containers {
  margin-bottom: 10px;
}
.region-content-area .landing-page-with-content ul.featured-containers {
  margin-top: 0;
}

#view-id-events_announcements {
  margin-top: -1em;
}

div.announcement {
  color: #FFFFFF;
  background: #85B6E2;
  width: 243px;
  padding: 1px 0;
  margin: 0 0 1em;
  text-shadow: none;
}
div.announcement p,
div.announcement h4 {
  line-height: normal;
  margin: 0.5em 0;
  padding: 0 0.5em;
}
div.announcement a {
  color: #FFF;
}
div.announcement img {
  margin-top: -1px;
}

#featured-a .ui-content,
#featured-b .ui-content,
#featured-c .ui-content,
.featured-box-content {
  width: 250px;
  margin: 0 auto;
}

#featured-a table,
#featured-b table,
#featured-c table {
  text-shadow: none;
}

.admin-navbar {
  border: 1px solid #000;
  border-top: 0;
}

a.toggle-close {
  display: table;
  padding: 0 10px 5px;
  margin: 10px auto 0;
  border-bottom: 5px solid #777;
  color: #777 !important;
  font-weight: bold;
  text-transform: uppercase;
  font-size: 14px;
  cursor: pointer;
  text-align: center;
  text-decoration: none;
}
.button-close {
  margin: 1em 10px -5px;
}

.closebox {
  float: right;
}

.nav-link {
  margin: 0 0 0.5em;
}

.event-short-description {
  overflow: hidden;
  text-overflow: ellipsis;
}


/* Page-specific styles */
/* Mission */
#node-51 .content > div {
  background: none !important;
  float: none !important;
  height: auto !important;
}
#node-51 .content * {
  padding: 0 !important;
  font-family: Helvetica, Arial, sans-serif !important;
  line-height: normal !important;
}
/* Campus Maps */
#page-node-4599 .ui-content {
  overflow-x: auto;
}
#page-node-4599 .region-header h1:after {
  content: "(Scrollable)";
  color: #AAA;
  text-shadow: 0 1px 1px #CCC;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
  display: block;
  width: 100%;
  margin: 0;
}

/* History */
#node-7 h3 {
  color: inherit !important;
}
#node-7 table {
  float: none;
  margin: 10px auto !important;
}

/* Administration */
#node-52 img {
  float: none !important;
  display: block;
  margin: 0 auto 10px !important;
}
#node-52 a {
  float: none !important;
  width: auto !important;
  height: auto !important;
  margin: 0 !important;
}
#node-52 h3 {
  color: inherit !important;
  clear: both;
  margin-top: 0.5em;
}
#node-52 td,
#node-52 th {
  padding: 0.2em;
}

/* Prospective Undergraduate Students */
#node-6062 table {
  float: none;
  display: block;
  width: auto !important;
  margin: 10px auto !important;
}
#node-6062 h3 {
  color: inherit !important;
}

/* Visitors Center */
#node-6061 table {
  float: none;
  margin: 10px auto !important;
}